
/** When your routing operation is too long, you can split it into small modules**/

import Layout from "@/layout/index.vue";

const operationRouter = [{
    path: '/operation',
    component: Layout,
    redirect: '/operation/giftcode',
    name: 'operation',
    meta: {
        title: '运营工具',
        icon: 'Tools'
    },
    children: [
        {
            path: '/operation/giftcode',
            component: () => import('@/views/operation/giftcode/index.vue'),
            name: 'giftcode',
            meta: { title: '礼包码', icon: 'Present'},
            alwaysShow:true,
            redirect: '/views/operation/giftcode/fixedGeneration',
            children: [
                {
                    path: '/views/operation/giftcode/fixedGeneration',
                    component: () => import('@/views/operation/giftcode/fixedGeneration/index.vue'),
                    name: 'fixedGeneration',
                    meta: { title: '固定生成', icon: 'CirclePlus'}
                },
                {
                    path: '/views/operation/giftcode/randomGeneration',
                    component: () => import('@/views/operation/giftcode/randomGeneration/index.vue'),
                    name: 'randomGeneration',
                    meta: { title: '随机生成', icon: 'CirclePlus'}
                },
                {
                    path: '/views/operation/giftcode/listTable',
                    component: () => import('@/views/operation/giftcode/listTable/index.vue'),
                    name: 'listTable',
                    meta: { title: '礼包码列表', icon: 'List'}
                },
            ]
        },
        {
            path: '/operation/whitelist',
            component: () => import('@/views/operation/whitelist/index.vue'),
            name: 'whitelist',
            meta: { title: '白名单', keepAlive: true , icon: 'User'}
        },
        {
            path: '/operation/gmmail',
            component: () => import('@/views/operation/gmmail/index.vue'),
            name: 'gmmail',
            meta: { title: 'GM邮件', keepAlive: true , icon: 'Message'}
        },
   
        {
            path: '/operation/announcement',
            component: () => import('@/views/operation/announcement/index.vue'),
            name: 'announcement',
            meta: { title: '游戏公告', keepAlive: true  , icon: 'Notification'}
        },
        {
          path: '/operation/sendcmd',
          component: () => import('@/views/operation/sendcmd/index.vue'),
          name: 'sendcmd',
          meta: { title: '发送命令', keepAlive: true  , icon: 'Monitor'}
        },
        {
            path: '/operation/clientConfig',
            component: () => import('@/views/operation/clientConfig/index.vue'),
            name: 'clientConfig',
            meta: { title: '客户端配置', keepAlive: true  , icon: 'Setting'}
        }
    ]
}]

export default operationRouter
