
/** When your routing server is too long, you can split it into small modules**/

import Layout from "@/layout/index.vue";

const serverRouter = [{
    path: '/server',
    component: Layout,
    redirect: '/server/gateway',
    name: 'server',
    meta: {
        title: '服务器',
        icon: 'OfficeBuilding'
    },
    children: [
        {
            path: '/server/gateway',
            component: () => import('@/views/server/gatewayTable/index.vue'),
            name: 'gateway',
            meta: { title: '网关服', keepAlive: true , icon: 'MenuIcon'}
        },
        {
            path: '/server/login',
            component: () => import('@/views/server/loginTable/index.vue'),
            name: 'login',
            meta: { title: '登录服', keepAlive: true , icon: 'MenuIcon'}
        },
        {
            path: '/server/game',
            component: () => import('@/views/server/gameTable/index.vue'),
            name: 'game',
            meta: { title: '游戏服', keepAlive: true , icon: 'MenuIcon'}
        },
        {
            path: '/server/cross',
            component: () => import('@/views/server/crossTable/index.vue'),
            name: 'cross',
            meta: { title: '区域服', keepAlive: true  , icon: 'MenuIcon'}
        },
        {
            path: '/server/chat',
            component: () => import('@/views/server/chatTable/index.vue'),
            name: 'inlinechatTable',
            meta: { title: '聊天服', keepAlive: true  , icon: 'MenuIcon'}
        },
   
        // {
        //     path: 'virtualTable',
        //     component: () => import('@/views/table/VirtualTable.vue'),
        //     name: 'virtualTable',
        //     meta: { title: '虚拟表格', keepAlive: true  , icon: 'MenuIcon'}
        // },
    ]
}]

export default serverRouter
